From 038be93902f01976f058fd4c04a590eeab34b043 Mon Sep 17 00:00:00 2001
From: Andrew Dunstan <andrew@dunslane.net>
Date: Fri, 3 Sep 2021 15:10:25 -0400
Subject: [PATCH] move perl test modules to Postgres::Test namespace

---
 contrib/amcheck/t/001_verify_heapam.pl        |   6 +-
 contrib/auto_explain/t/001_auto_explain.pl    |   6 +-
 contrib/bloom/t/001_wal.pl                    |   8 +-
 contrib/oid2name/t/001_basic.pl               |   2 +-
 contrib/test_decoding/t/001_repl_stats.pl     |   6 +-
 contrib/vacuumlo/t/001_basic.pl               |   2 +-
 src/bin/initdb/t/001_initdb.pl                |   6 +-
 src/bin/pg_amcheck/t/001_basic.pl             |   2 +-
 src/bin/pg_amcheck/t/002_nonesuch.pl          |   6 +-
 src/bin/pg_amcheck/t/003_check.pl             |   8 +-
 src/bin/pg_amcheck/t/004_verify_heapam.pl     |   6 +-
 src/bin/pg_amcheck/t/005_opclass_damage.pl    |   6 +-
 .../t/010_pg_archivecleanup.pl                |   4 +-
 src/bin/pg_basebackup/t/010_pg_basebackup.pl  |  18 +--
 src/bin/pg_basebackup/t/020_pg_receivewal.pl  |   6 +-
 src/bin/pg_basebackup/t/030_pg_recvlogical.pl |   6 +-
 src/bin/pg_checksums/t/001_basic.pl           |   2 +-
 src/bin/pg_checksums/t/002_actions.pl         |   8 +-
 src/bin/pg_config/t/001_pg_config.pl          |   2 +-
 .../pg_controldata/t/001_pg_controldata.pl    |   6 +-
 src/bin/pg_ctl/t/001_start_stop.pl            |  14 +-
 src/bin/pg_ctl/t/002_status.pl                |  10 +-
 src/bin/pg_ctl/t/003_promote.pl               |  12 +-
 src/bin/pg_ctl/t/004_logrotate.pl             |   6 +-
 src/bin/pg_dump/t/001_basic.pl                |   8 +-
 src/bin/pg_dump/t/002_pg_dump.pl              |  12 +-
 src/bin/pg_dump/t/003_pg_dump_with_server.pl  |  10 +-
 src/bin/pg_dump/t/010_dump_connstr.pl         |  16 +-
 src/bin/pg_resetwal/t/001_basic.pl            |   6 +-
 src/bin/pg_resetwal/t/002_corrupted.pl        |   6 +-
 src/bin/pg_rewind/t/001_basic.pl              |   2 +-
 src/bin/pg_rewind/t/002_databases.pl          |   2 +-
 src/bin/pg_rewind/t/003_extrafiles.pl         |   2 +-
 src/bin/pg_rewind/t/004_pg_xlog_symlink.pl    |   4 +-
 src/bin/pg_rewind/t/005_same_timeline.pl      |   2 +-
 src/bin/pg_rewind/t/006_options.pl            |   6 +-
 src/bin/pg_rewind/t/007_standby_source.pl     |  10 +-
 src/bin/pg_rewind/t/008_min_recovery_point.pl |  12 +-
 src/bin/pg_rewind/t/RewindTest.pm             |  14 +-
 src/bin/pg_test_fsync/t/001_basic.pl          |   2 +-
 src/bin/pg_test_timing/t/001_basic.pl         |   2 +-
 src/bin/pg_verifybackup/t/001_basic.pl        |   4 +-
 src/bin/pg_verifybackup/t/002_algorithm.pl    |   6 +-
 src/bin/pg_verifybackup/t/003_corruption.pl   |  10 +-
 src/bin/pg_verifybackup/t/004_options.pl      |   6 +-
 src/bin/pg_verifybackup/t/005_bad_manifest.pl |   6 +-
 src/bin/pg_verifybackup/t/006_encoding.pl     |   6 +-
 src/bin/pg_verifybackup/t/007_wal.pl          |   6 +-
 src/bin/pg_waldump/t/001_basic.pl             |   2 +-
 src/bin/pgbench/t/001_pgbench_with_server.pl  |  14 +-
 src/bin/pgbench/t/002_pgbench_no_server.pl    |   4 +-
 src/bin/psql/t/010_tab_completion.pl          |   8 +-
 src/bin/psql/t/020_cancel.pl                  |  10 +-
 src/bin/scripts/t/010_clusterdb.pl            |   6 +-
 src/bin/scripts/t/011_clusterdb_all.pl        |   6 +-
 src/bin/scripts/t/020_createdb.pl             |   6 +-
 src/bin/scripts/t/040_createuser.pl           |   6 +-
 src/bin/scripts/t/050_dropdb.pl               |   6 +-
 src/bin/scripts/t/070_dropuser.pl             |   6 +-
 src/bin/scripts/t/080_pg_isready.pl           |   6 +-
 src/bin/scripts/t/090_reindexdb.pl            |   8 +-
 src/bin/scripts/t/091_reindexdb_all.pl        |   4 +-
 src/bin/scripts/t/100_vacuumdb.pl             |   6 +-
 src/bin/scripts/t/101_vacuumdb_all.pl         |   4 +-
 src/bin/scripts/t/102_vacuumdb_stages.pl      |   4 +-
 src/bin/scripts/t/200_connstr.pl              |   6 +-
 src/test/authentication/t/001_password.pl     |   8 +-
 src/test/authentication/t/002_saslprep.pl     |   6 +-
 src/test/kerberos/t/001_auth.pl               |  24 +--
 src/test/ldap/t/001_auth.pl                   |  24 +--
 src/test/modules/brin/t/01_workitems.pl       |   6 +-
 src/test/modules/commit_ts/t/001_base.pl      |   6 +-
 src/test/modules/commit_ts/t/002_standby.pl   |   8 +-
 src/test/modules/commit_ts/t/003_standby_2.pl |   8 +-
 src/test/modules/commit_ts/t/004_restart.pl   |   6 +-
 .../libpq_pipeline/t/001_libpq_pipeline.pl    |  10 +-
 .../ssl_passphrase_callback/t/001_testfunc.pl |   8 +-
 .../test_misc/t/001_constraint_validation.pl  |   6 +-
 src/test/modules/test_pg_dump/t/001_base.pl   |  12 +-
 src/test/perl/Makefile                        |  22 +--
 .../Test/Cluster.pm}                          | 148 +++++++++---------
 .../{ => Postgres/Test}/PostgresVersion.pm    |  18 +--
 .../perl/{ => Postgres/Test}/RecursiveCopy.pm |  12 +-
 .../perl/{ => Postgres/Test}/SimpleTee.pm     |   2 +-
 .../{TestLib.pm => Postgres/Test/Utils.pm}    |  22 +--
 src/test/perl/README                          |   8 +-
 src/test/recovery/t/001_stream_rep.pl         |  10 +-
 src/test/recovery/t/002_archiving.pl          |  10 +-
 src/test/recovery/t/003_recovery_targets.pl   |  12 +-
 src/test/recovery/t/004_timeline_switch.pl    |  14 +-
 src/test/recovery/t/005_replay_delay.pl       |  10 +-
 src/test/recovery/t/006_logical_decoding.pl   |   6 +-
 src/test/recovery/t/007_sync_rep.pl           |  14 +-
 src/test/recovery/t/008_fsm_truncation.pl     |   8 +-
 src/test/recovery/t/009_twophase.pl           |   8 +-
 .../t/010_logical_decoding_timelines.pl       |   8 +-
 src/test/recovery/t/011_crash_recovery.pl     |   6 +-
 src/test/recovery/t/012_subtransactions.pl    |   8 +-
 src/test/recovery/t/013_crash_restart.pl      |  12 +-
 src/test/recovery/t/014_unlogged_reinit.pl    |  10 +-
 src/test/recovery/t/015_promotion_pages.pl    |   8 +-
 src/test/recovery/t/016_min_consistency.pl    |   8 +-
 src/test/recovery/t/017_shm.pl                |  12 +-
 src/test/recovery/t/018_wal_optimize.pl       |  12 +-
 src/test/recovery/t/019_replslot_limit.pl     |  22 +--
 src/test/recovery/t/020_archive_status.pl     |  12 +-
 src/test/recovery/t/021_row_visibility.pl     |  10 +-
 src/test/recovery/t/022_crash_temp_files.pl   |  12 +-
 src/test/recovery/t/023_pitr_prepared_xact.pl |   8 +-
 src/test/recovery/t/024_archive_recovery.pl   |   8 +-
 .../recovery/t/025_stuck_on_old_timeline.pl   |  16 +-
 src/test/regress/pg_regress.c                 |   2 +-
 src/test/ssl/t/001_ssltests.pl                |   6 +-
 src/test/ssl/t/002_scram.pl                   |   6 +-
 src/test/ssl/t/SSLServer.pm                   |   4 +-
 src/test/subscription/t/001_rep_changes.pl    |   8 +-
 src/test/subscription/t/002_types.pl          |   8 +-
 src/test/subscription/t/003_constraints.pl    |   8 +-
 src/test/subscription/t/004_sync.pl           |   8 +-
 src/test/subscription/t/005_encoding.pl       |   8 +-
 src/test/subscription/t/006_rewrite.pl        |   8 +-
 src/test/subscription/t/007_ddl.pl            |   8 +-
 src/test/subscription/t/008_diff_schema.pl    |   8 +-
 src/test/subscription/t/009_matviews.pl       |   8 +-
 src/test/subscription/t/010_truncate.pl       |   8 +-
 src/test/subscription/t/011_generated.pl      |   8 +-
 src/test/subscription/t/012_collation.pl      |   8 +-
 src/test/subscription/t/013_partition.pl      |  10 +-
 src/test/subscription/t/014_binary.pl         |   8 +-
 src/test/subscription/t/015_stream.pl         |   8 +-
 src/test/subscription/t/016_stream_subxact.pl |   8 +-
 src/test/subscription/t/017_stream_ddl.pl     |   8 +-
 .../t/018_stream_subxact_abort.pl             |   8 +-
 .../t/019_stream_subxact_ddl_abort.pl         |   8 +-
 src/test/subscription/t/020_messages.pl       |   8 +-
 src/test/subscription/t/021_twophase.pl       |   8 +-
 .../subscription/t/022_twophase_cascade.pl    |  10 +-
 .../subscription/t/023_twophase_stream.pl     |   8 +-
 src/test/subscription/t/024_add_drop_pub.pl   |   8 +-
 src/test/subscription/t/100_bugs.pl           |  18 +--
 140 files changed, 645 insertions(+), 645 deletions(-)
 rename src/test/perl/{PostgresNode.pm => Postgres/Test/Cluster.pm} (92%)
 rename src/test/perl/{ => Postgres/Test}/PostgresVersion.pm (84%)
 rename src/test/perl/{ => Postgres/Test}/RecursiveCopy.pm (91%)
 rename src/test/perl/{ => Postgres/Test}/SimpleTee.pm (95%)
 rename src/test/perl/{TestLib.pm => Postgres/Test/Utils.pm} (97%)

diff --git a/contrib/amcheck/t/001_verify_heapam.pl b/contrib/amcheck/t/001_verify_heapam.pl
index 4f720a7ed0..656a2629e2 100644
--- a/contrib/amcheck/t/001_verify_heapam.pl
+++ b/contrib/amcheck/t/001_verify_heapam.pl
@@ -4,8 +4,8 @@
 use strict;
 use warnings;
 
-use PostgresNode;
-use TestLib;
+use Postgres::Test::Cluster;
+use Postgres::Test::Utils;
 
 use Fcntl qw(:seek);
 use Test::More tests => 80;
@@ -15,7 +15,7 @@ my ($node, $result);
 #
 # Test set-up
 #
-$node = PostgresNode->new('test');
+$node = Postgres::Test::Cluster->new('test');
 $node->init;
 $node->append_conf('postgresql.conf', 'autovacuum=off');
 $node->start;
diff --git a/contrib/auto_explain/t/001_auto_explain.pl b/contrib/auto_explain/t/001_auto_explain.pl
index 1773a37999..94f4052eb0 100644
--- a/contrib/auto_explain/t/001_auto_explain.pl
+++ b/contrib/auto_explain/t/001_auto_explain.pl
@@ -4,11 +4,11 @@
 use strict;
 use warnings;
 
-use PostgresNode;
-use TestLib;
+use Postgres::Test::Cluster;
+use Postgres::Test::Utils;
 use Test::More tests => 4;
 
-my $node = PostgresNode->new('main');
+my $node = Postgres::Test::Cluster->new('main');
 $node->init;
 $node->append_conf('postgresql.conf',
 	"shared_preload_libraries = 'auto_explain'");
diff --git a/contrib/bloom/t/001_wal.pl b/contrib/bloom/t/001_wal.pl
index 55ad35926f..b789e12723 100644
--- a/contrib/bloom/t/001_wal.pl
+++ b/contrib/bloom/t/001_wal.pl
@@ -4,8 +4,8 @@
 # Test generic xlog record work for bloom index replication.
 use strict;
 use warnings;
-use PostgresNode;
-use TestLib;
+use Postgres::Test::Cluster;
+use Postgres::Test::Utils;
 use Test::More tests => 31;
 
 my $node_primary;
@@ -43,7 +43,7 @@ SELECT * FROM tst WHERE i = 7 AND t = 'e';
 }
 
 # Initialize primary node
-$node_primary = PostgresNode->new('primary');
+$node_primary = Postgres::Test::Cluster->new('primary');
 $node_primary->init(allows_streaming => 1);
 $node_primary->start;
 my $backup_name = 'my_backup';
@@ -52,7 +52,7 @@ my $backup_name = 'my_backup';
 $node_primary->backup($backup_name);
 
 # Create streaming standby linking to primary
-$node_standby = PostgresNode->new('standby');
+$node_standby = Postgres::Test::Cluster->new('standby');
 $node_standby->init_from_backup($node_primary, $backup_name,
 	has_streaming => 1);
 $node_standby->start;
diff --git a/contrib/oid2name/t/001_basic.pl b/contrib/oid2name/t/001_basic.pl
index 8f0d4349a0..9a01d3dd7e 100644
--- a/contrib/oid2name/t/001_basic.pl
+++ b/contrib/oid2name/t/001_basic.pl
@@ -4,7 +4,7 @@
 use strict;
 use warnings;
 
-use TestLib;
+use Postgres::Test::Utils;
 use Test::More tests => 8;
 
 #########################################
diff --git a/contrib/test_decoding/t/001_repl_stats.pl b/contrib/test_decoding/t/001_repl_stats.pl
index fdef6cb1ff..fccd6bf16f 100644
--- a/contrib/test_decoding/t/001_repl_stats.pl
+++ b/contrib/test_decoding/t/001_repl_stats.pl
@@ -6,12 +6,12 @@
 use strict;
 use warnings;
 use File::Path qw(rmtree);
-use PostgresNode;
-use TestLib;
+use Postgres::Test::Cluster;
+use Postgres::Test::Utils;
 use Test::More tests => 2;
 
 # Test set-up
-my $node = PostgresNode->new('test');
+my $node = Postgres::Test::Cluster->new('test');
 $node->init(allows_streaming => 'logical');
 $node->append_conf('postgresql.conf', 'synchronous_commit = on');
 $node->start;
diff --git a/contrib/vacuumlo/t/001_basic.pl b/contrib/vacuumlo/t/001_basic.pl
index 2121f454e0..ae231c8d4d 100644
--- a/contrib/vacuumlo/t/001_basic.pl
+++ b/contrib/vacuumlo/t/001_basic.pl
@@ -4,7 +4,7 @@
 use strict;
 use warnings;
 
-use TestLib;
+use Postgres::Test::Utils;
 use Test::More tests => 8;
 
 program_help_ok('vacuumlo');
diff --git a/src/bin/initdb/t/001_initdb.pl b/src/bin/initdb/t/001_initdb.pl
index 635ff79b47..c34132a61e 100644
--- a/src/bin/initdb/t/001_initdb.pl
+++ b/src/bin/initdb/t/001_initdb.pl
@@ -9,11 +9,11 @@ use strict;
 use warnings;
 use Fcntl ':mode';
 use File::stat qw{lstat};
-use PostgresNode;
-use TestLib;
+use Postgres::Test::Cluster;
+use Postgres::Test::Utils;
 use Test::More tests => 22;
 
-my $tempdir = TestLib::tempdir;
+my $tempdir = Postgres::Test::Utils::tempdir;
 my $xlogdir = "$tempdir/pgxlog";
 my $datadir = "$tempdir/data";
 
diff --git a/src/bin/pg_amcheck/t/001_basic.pl b/src/bin/pg_amcheck/t/001_basic.pl
index 6f60e3ec1f..7ff2281bf3 100644
--- a/src/bin/pg_amcheck/t/001_basic.pl
+++ b/src/bin/pg_amcheck/t/001_basic.pl
@@ -4,7 +4,7 @@
 use strict;
 use warnings;
 
-use TestLib;
+use Postgres::Test::Utils;
 use Test::More tests => 8;
 
 program_help_ok('pg_amcheck');
diff --git a/src/bin/pg_amcheck/t/002_nonesuch.pl b/src/bin/pg_amcheck/t/002_nonesuch.pl
index e30c1cc546..23497455b8 100644
--- a/src/bin/pg_amcheck/t/002_nonesuch.pl
+++ b/src/bin/pg_amcheck/t/002_nonesuch.pl
@@ -4,13 +4,13 @@
 use strict;
 use warnings;
 
-use PostgresNode;
-use TestLib;
+use Postgres::Test::Cluster;
+use Postgres::Test::Utils;
 use Test::More tests => 76;
 
 # Test set-up
 my ($node, $port);
-$node = PostgresNode->new('test');
+$node = Postgres::Test::Cluster->new('test');
 $node->init;
 $node->start;
 $port = $node->port;
diff --git a/src/bin/pg_amcheck/t/003_check.pl b/src/bin/pg_amcheck/t/003_check.pl
index c26e5eda67..0bd8a1ac92 100644
--- a/src/bin/pg_amcheck/t/003_check.pl
+++ b/src/bin/pg_amcheck/t/003_check.pl
@@ -4,8 +4,8 @@
 use strict;
 use warnings;
 
-use PostgresNode;
-use TestLib;
+use Postgres::Test::Cluster;
+use Postgres::Test::Utils;
 
 use Fcntl qw(:seek);
 use Test::More tests => 63;
@@ -120,7 +120,7 @@ sub perform_all_corruptions()
 }
 
 # Test set-up
-$node = PostgresNode->new('test');
+$node = Postgres::Test::Cluster->new('test');
 $node->init;
 $node->append_conf('postgresql.conf', 'autovacuum=off');
 $node->start;
@@ -316,7 +316,7 @@ plan_to_remove_relation_file('db2', 's1.t1_btree');
 # Leave 'db3' uncorrupted
 #
 
-# Standard first arguments to TestLib functions
+# Standard first arguments to Postgres::Test::Utils functions
 my @cmd = ('pg_amcheck', '-p', $port);
 
 # Regular expressions to match various expected output
diff --git a/src/bin/pg_amcheck/t/004_verify_heapam.pl b/src/bin/pg_amcheck/t/004_verify_heapam.pl
index a9f485e527..09d4e8e3b3 100644
--- a/src/bin/pg_amcheck/t/004_verify_heapam.pl
+++ b/src/bin/pg_amcheck/t/004_verify_heapam.pl
@@ -4,8 +4,8 @@
 use strict;
 use warnings;
 
-use PostgresNode;
-use TestLib;
+use Postgres::Test::Cluster;
+use Postgres::Test::Utils;
 
 use Fcntl qw(:seek);
 use Test::More;
@@ -178,7 +178,7 @@ umask(0077);
 # Set up the node.  Once we create and corrupt the table,
 # autovacuum workers visiting the table could crash the backend.
 # Disable autovacuum so that won't happen.
-my $node = PostgresNode->new('test');
+my $node = Postgres::Test::Cluster->new('test');
 $node->init;
 $node->append_conf('postgresql.conf', 'autovacuum=off');
 
diff --git a/src/bin/pg_amcheck/t/005_opclass_damage.pl b/src/bin/pg_amcheck/t/005_opclass_damage.pl
index e87d81d7d4..3a27158712 100644
--- a/src/bin/pg_amcheck/t/005_opclass_damage.pl
+++ b/src/bin/pg_amcheck/t/005_opclass_damage.pl
@@ -6,11 +6,11 @@
 #
 use strict;
 use warnings;
-use PostgresNode;
-use TestLib;
+use Postgres::Test::Cluster;
+use Postgres::Test::Utils;
 use Test::More tests => 5;
 
-my $node = PostgresNode->new('test');
+my $node = Postgres::Test::Cluster->new('test');
 $node->init;
 $node->start;
 
diff --git a/src/bin/pg_archivecleanup/t/010_pg_archivecleanup.pl b/src/bin/pg_archivecleanup/t/010_pg_archivecleanup.pl
index 8134c2a62e..f888161a04 100644
--- a/src/bin/pg_archivecleanup/t/010_pg_archivecleanup.pl
+++ b/src/bin/pg_archivecleanup/t/010_pg_archivecleanup.pl
@@ -3,14 +3,14 @@
 
 use strict;
 use warnings;
-use TestLib;
+use Postgres::Test::Utils;
 use Test::More tests => 42;
 
 program_help_ok('pg_archivecleanup');
 program_version_ok('pg_archivecleanup');
 program_options_handling_ok('pg_archivecleanup');
 
-my $tempdir = TestLib::tempdir;
+my $tempdir = Postgres::Test::Utils::tempdir;
 
 my @walfiles = (
 	'00000001000000370000000C.gz', '00000001000000370000000D',
diff --git a/src/bin/pg_basebackup/t/010_pg_basebackup.pl b/src/bin/pg_basebackup/t/010_pg_basebackup.pl
index a2cb2a7679..83ff53eab4 100644
--- a/src/bin/pg_basebackup/t/010_pg_basebackup.pl
+++ b/src/bin/pg_basebackup/t/010_pg_basebackup.pl
@@ -8,17 +8,17 @@ use Config;
 use File::Basename qw(basename dirname);
 use File::Path qw(rmtree);
 use Fcntl qw(:seek);
-use PostgresNode;
-use TestLib;
+use Postgres::Test::Cluster;
+use Postgres::Test::Utils;
 use Test::More tests => 110;
 
 program_help_ok('pg_basebackup');
 program_version_ok('pg_basebackup');
 program_options_handling_ok('pg_basebackup');
 
-my $tempdir = TestLib::tempdir;
+my $tempdir = Postgres::Test::Utils::tempdir;
 
-my $node = PostgresNode->new('main');
+my $node = Postgres::Test::Cluster->new('main');
 
 # Set umask so test directories and files are created with default permissions
 umask(0077);
@@ -238,14 +238,14 @@ $node->start;
 # to our physical temp location.  That way we can use shorter names
 # for the tablespace directories, which hopefully won't run afoul of
 # the 99 character length limit.
-my $sys_tempdir = TestLib::tempdir_short;
-my $real_sys_tempdir = TestLib::perl2host($sys_tempdir) . "/tempdir";
+my $sys_tempdir = Postgres::Test::Utils::tempdir_short;
+my $real_sys_tempdir = Postgres::Test::Utils::perl2host($sys_tempdir) . "/tempdir";
 my $shorter_tempdir =  $sys_tempdir . "/tempdir";
 dir_symlink "$tempdir", $shorter_tempdir;
 
 mkdir "$tempdir/tblspc1";
 my $realTsDir    = "$real_sys_tempdir/tblspc1";
-my $real_tempdir = TestLib::perl2host($tempdir);
+my $real_tempdir = Postgres::Test::Utils::perl2host($tempdir);
 $node->safe_psql('postgres',
 	"CREATE TABLESPACE tblspc1 LOCATION '$realTsDir';");
 $node->safe_psql('postgres',
@@ -270,7 +270,7 @@ SKIP:
 	skip "no tar program available", 1
 	  if (!defined $tar || $tar eq '');
 
-	my $node2 = PostgresNode->new('replica');
+	my $node2 = Postgres::Test::Cluster->new('replica');
 
 	# Recover main data directory
 	$node2->init_from_backup($node, 'tarbackup2', tar_program => $tar);
@@ -279,7 +279,7 @@ SKIP:
 	my $repTsDir     = "$tempdir/tblspc1replica";
 	my $realRepTsDir = "$real_sys_tempdir/tblspc1replica";
 	mkdir $repTsDir;
-	TestLib::system_or_bail($tar, 'xf', $tblspc_tars[0], '-C', $repTsDir);
+	Postgres::Test::Utils::system_or_bail($tar, 'xf', $tblspc_tars[0], '-C', $repTsDir);
 
 	# Update tablespace map to point to new directory.
 	# XXX Ideally pg_basebackup would handle this.
diff --git a/src/bin/pg_basebackup/t/020_pg_receivewal.pl b/src/bin/pg_basebackup/t/020_pg_receivewal.pl
index 0b33d73900..fc84c0a992 100644
--- a/src/bin/pg_basebackup/t/020_pg_receivewal.pl
+++ b/src/bin/pg_basebackup/t/020_pg_receivewal.pl
@@ -3,8 +3,8 @@
 
 use strict;
 use warnings;
-use TestLib;
-use PostgresNode;
+use Postgres::Test::Utils;
+use Postgres::Test::Cluster;
 use Test::More tests => 27;
 
 program_help_ok('pg_receivewal');
@@ -14,7 +14,7 @@ program_options_handling_ok('pg_receivewal');
 # Set umask so test directories and files are created with default permissions
 umask(0077);
 
-my $primary = PostgresNode->new('primary');
+my $primary = Postgres::Test::Cluster->new('primary');
 $primary->init(allows_streaming => 1);
 $primary->start;
 
diff --git a/src/bin/pg_basebackup/t/030_pg_recvlogical.pl b/src/bin/pg_basebackup/t/030_pg_recvlogical.pl
index fe7fe76295..46beccdf86 100644
--- a/src/bin/pg_basebackup/t/030_pg_recvlogical.pl
+++ b/src/bin/pg_basebackup/t/030_pg_recvlogical.pl
@@ -3,15 +3,15 @@
 
 use strict;
 use warnings;
-use TestLib;
-use PostgresNode;
+use Postgres::Test::Utils;
+use Postgres::Test::Cluster;
 use Test::More tests => 20;
 
 program_help_ok('pg_recvlogical');
 program_version_ok('pg_recvlogical');
 program_options_handling_ok('pg_recvlogical');
 
-my $node = PostgresNode->new('main');
+my $node = Postgres::Test::Cluster->new('main');
 
 # Initialize node without replication settings
 $node->init(allows_streaming => 1, has_archiving => 1);
diff --git a/src/bin/pg_checksums/t/001_basic.pl b/src/bin/pg_checksums/t/001_basic.pl
index 62e78a5043..5e8e02173d 100644
--- a/src/bin/pg_checksums/t/001_basic.pl
+++ b/src/bin/pg_checksums/t/001_basic.pl
@@ -3,7 +3,7 @@
 
 use strict;
 use warnings;
-use TestLib;
+use Postgres::Test::Utils;
 use Test::More tests => 8;
 
 program_help_ok('pg_checksums');
diff --git a/src/bin/pg_checksums/t/002_actions.pl b/src/bin/pg_checksums/t/002_actions.pl
index a18c104a94..46097eaa45 100644
--- a/src/bin/pg_checksums/t/002_actions.pl
+++ b/src/bin/pg_checksums/t/002_actions.pl
@@ -6,8 +6,8 @@
 
 use strict;
 use warnings;
-use PostgresNode;
-use TestLib;
+use Postgres::Test::Cluster;
+use Postgres::Test::Utils;
 
 use Fcntl qw(:seek);
 use Test::More tests => 63;
@@ -92,7 +92,7 @@ sub check_relation_corruption
 }
 
 # Initialize node with checksums disabled.
-my $node = PostgresNode->new('node_checksum');
+my $node = Postgres::Test::Cluster->new('node_checksum');
 $node->init();
 my $pgdata = $node->data_dir;
 
@@ -190,7 +190,7 @@ check_relation_corruption($node, 'corrupt1', 'pg_default');
 my $basedir        = $node->basedir;
 my $tablespace_dir = "$basedir/ts_corrupt_dir";
 mkdir($tablespace_dir);
-$tablespace_dir = TestLib::perl2host($tablespace_dir);
+$tablespace_dir = Postgres::Test::Utils::perl2host($tablespace_dir);
 $node->safe_psql('postgres',
 	"CREATE TABLESPACE ts_corrupt LOCATION '$tablespace_dir';");
 check_relation_corruption($node, 'corrupt2', 'ts_corrupt');
diff --git a/src/bin/pg_config/t/001_pg_config.pl b/src/bin/pg_config/t/001_pg_config.pl
index d8829faea6..3e0aacd53a 100644
--- a/src/bin/pg_config/t/001_pg_config.pl
+++ b/src/bin/pg_config/t/001_pg_config.pl
@@ -3,7 +3,7 @@
 
 use strict;
 use warnings;
-use TestLib;
+use Postgres::Test::Utils;
 use Test::More tests => 20;
 
 program_help_ok('pg_config');
diff --git a/src/bin/pg_controldata/t/001_pg_controldata.pl b/src/bin/pg_controldata/t/001_pg_controldata.pl
index ce31cfbd3b..4bba3d1f5e 100644
--- a/src/bin/pg_controldata/t/001_pg_controldata.pl
+++ b/src/bin/pg_controldata/t/001_pg_controldata.pl
@@ -3,8 +3,8 @@
 
 use strict;
 use warnings;
-use PostgresNode;
-use TestLib;
+use Postgres::Test::Cluster;
+use Postgres::Test::Utils;
 use Test::More tests => 17;
 
 program_help_ok('pg_controldata');
@@ -14,7 +14,7 @@ command_fails(['pg_controldata'], 'pg_controldata without arguments fails');
 command_fails([ 'pg_controldata', 'nonexistent' ],
 	'pg_controldata with nonexistent directory fails');
 
-my $node = PostgresNode->new('main');
+my $node = Postgres::Test::Cluster->new('main');
 $node->init;
 
 command_like([ 'pg_controldata', $node->data_dir ],
diff --git a/src/bin/pg_ctl/t/001_start_stop.pl b/src/bin/pg_ctl/t/001_start_stop.pl
index 1d8d6bbb70..f1da39e381 100644
--- a/src/bin/pg_ctl/t/001_start_stop.pl
+++ b/src/bin/pg_ctl/t/001_start_stop.pl
@@ -7,12 +7,12 @@ use warnings;
 use Config;
 use Fcntl ':mode';
 use File::stat qw{lstat};
-use PostgresNode;
-use TestLib;
+use Postgres::Test::Cluster;
+use Postgres::Test::Utils;
 use Test::More tests => 24;
 
-my $tempdir       = TestLib::tempdir;
-my $tempdir_short = TestLib::tempdir_short;
+my $tempdir       = Postgres::Test::Utils::tempdir;
+my $tempdir_short = Postgres::Test::Utils::tempdir_short;
 
 program_help_ok('pg_ctl');
 program_version_ok('pg_ctl');
@@ -25,11 +25,11 @@ command_ok([ 'pg_ctl', 'initdb', '-D', "$tempdir/data", '-o', '-N' ],
 	'pg_ctl initdb');
 command_ok([ $ENV{PG_REGRESS}, '--config-auth', "$tempdir/data" ],
 	'configure authentication');
-my $node_port = PostgresNode::get_free_port();
+my $node_port = Postgres::Test::Cluster::get_free_port();
 open my $conf, '>>', "$tempdir/data/postgresql.conf";
 print $conf "fsync = off\n";
 print $conf "port = $node_port\n";
-print $conf TestLib::slurp_file($ENV{TEMP_CONFIG})
+print $conf Postgres::Test::Utils::slurp_file($ENV{TEMP_CONFIG})
   if defined $ENV{TEMP_CONFIG};
 
 if ($use_unix_sockets)
@@ -44,7 +44,7 @@ else
 close $conf;
 my $ctlcmd = [
 	'pg_ctl', 'start', '-D', "$tempdir/data", '-l',
-	"$TestLib::log_path/001_start_stop_server.log"
+	"$Postgres::Test::Utils::log_path/001_start_stop_server.log"
 ];
 if ($Config{osname} ne 'msys')
 {
diff --git a/src/bin/pg_ctl/t/002_status.pl b/src/bin/pg_ctl/t/002_status.pl
index 56a06fafa3..58b6f589ff 100644
--- a/src/bin/pg_ctl/t/002_status.pl
+++ b/src/bin/pg_ctl/t/002_status.pl
@@ -4,17 +4,17 @@
 use strict;
 use warnings;
 
-use PostgresNode;
-use TestLib;
+use Postgres::Test::Cluster;
+use Postgres::Test::Utils;
 use Test::More tests => 3;
 
-my $tempdir       = TestLib::tempdir;
-my $tempdir_short = TestLib::tempdir_short;
+my $tempdir       = Postgres::Test::Utils::tempdir;
+my $tempdir_short = Postgres::Test::Utils::tempdir_short;
 
 command_exit_is([ 'pg_ctl', 'status', '-D', "$tempdir/nonexistent" ],
 	4, 'pg_ctl status with nonexistent directory');
 
-my $node = PostgresNode->new('main');
+my $node = Postgres::Test::Cluster->new('main');
 $node->init;
 
 command_exit_is([ 'pg_ctl', 'status', '-D', $node->data_dir ],
diff --git a/src/bin/pg_ctl/t/003_promote.pl b/src/bin/pg_ctl/t/003_promote.pl
index 547b3d8893..a45c37b5a0 100644
--- a/src/bin/pg_ctl/t/003_promote.pl
+++ b/src/bin/pg_ctl/t/003_promote.pl
@@ -4,18 +4,18 @@
 use strict;
 use warnings;
 
-use PostgresNode;
-use TestLib;
+use Postgres::Test::Cluster;
+use Postgres::Test::Utils;
 use Test::More tests => 12;
 
-my $tempdir = TestLib::tempdir;
+my $tempdir = Postgres::Test::Utils::tempdir;
 
 command_fails_like(
 	[ 'pg_ctl', '-D', "$tempdir/nonexistent", 'promote' ],
 	qr/directory .* does not exist/,
 	'pg_ctl promote with nonexistent directory');
 
-my $node_primary = PostgresNode->new('primary');
+my $node_primary = Postgres::Test::Cluster->new('primary');
 $node_primary->init(allows_streaming => 1);
 
 command_fails_like(
@@ -30,7 +30,7 @@ command_fails_like(
 	qr/not in standby mode/,
 	'pg_ctl promote of primary instance fails');
 
-my $node_standby = PostgresNode->new('standby');
+my $node_standby = Postgres::Test::Cluster->new('standby');
 $node_primary->backup('my_backup');
 $node_standby->init_from_backup($node_primary, 'my_backup',
 	has_streaming => 1);
@@ -47,7 +47,7 @@ ok( $node_standby->poll_query_until(
 	'promoted standby is not in recovery');
 
 # same again with default wait option
-$node_standby = PostgresNode->new('standby2');
+$node_standby = Postgres::Test::Cluster->new('standby2');
 $node_standby->init_from_backup($node_primary, 'my_backup',
 	has_streaming => 1);
 $node_standby->start;
diff --git a/src/bin/pg_ctl/t/004_logrotate.pl b/src/bin/pg_ctl/t/004_logrotate.pl
index fa14b98c7d..6d7016f17c 100644
--- a/src/bin/pg_ctl/t/004_logrotate.pl
+++ b/src/bin/pg_ctl/t/004_logrotate.pl
@@ -4,13 +4,13 @@
 use strict;
 use warnings;
 
-use PostgresNode;
-use TestLib;
+use Postgres::Test::Cluster;
+use Postgres::Test::Utils;
 use Test::More tests => 5;
 use Time::HiRes qw(usleep);
 
 # Set up node with logging collector
-my $node = PostgresNode->new('primary');
+my $node = Postgres::Test::Cluster->new('primary');
 $node->init();
 $node->append_conf(
 	'postgresql.conf', qq(
diff --git a/src/bin/pg_dump/t/001_basic.pl b/src/bin/pg_dump/t/001_basic.pl
index d1a7e1db40..c4f0a4b8e5 100644
--- a/src/bin/pg_dump/t/001_basic.pl
+++ b/src/bin/pg_dump/t/001_basic.pl
@@ -5,12 +5,12 @@ use strict;
 use warnings;
 
 use Config;
-use PostgresNode;
-use TestLib;
+use Postgres::Test::Cluster;
+use Postgres::Test::Utils;
 use Test::More tests => 82;
 
-my $tempdir       = TestLib::tempdir;
-my $tempdir_short = TestLib::tempdir_short;
+my $tempdir       = Postgres::Test::Utils::tempdir;
+my $tempdir_short = Postgres::Test::Utils::tempdir_short;
 
 #########################################
 # Basic checks
diff --git a/src/bin/pg_dump/t/002_pg_dump.pl b/src/bin/pg_dump/t/002_pg_dump.pl
index be1f3a5175..da659d25ab 100644
--- a/src/bin/pg_dump/t/002_pg_dump.pl
+++ b/src/bin/pg_dump/t/002_pg_dump.pl
@@ -5,12 +5,12 @@ use strict;
 use warnings;
 
 use Config;
-use PostgresNode;
-use TestLib;
+use Postgres::Test::Cluster;
+use Postgres::Test::Utils;
 use Test::More;
 
-my $tempdir       = TestLib::tempdir;
-my $tempdir_short = TestLib::tempdir_short;
+my $tempdir       = Postgres::Test::Utils::tempdir;
+my $tempdir_short = Postgres::Test::Utils::tempdir_short;
 
 ###############################################################
 # Definition of the pg_dump runs to make.
@@ -26,7 +26,7 @@ my $tempdir_short = TestLib::tempdir_short;
 # the full command and arguments to run.  Note that this is run
 # using $node->command_ok(), so the port does not need to be
 # specified and is pulled from $PGPORT, which is set by the
-# PostgresNode system.
+# Postgres::Test::Cluster system.
 #
 # restore_cmd is the pg_restore command to run, if any.  Note
 # that this should generally be used when the pg_dump goes to
@@ -3562,7 +3562,7 @@ my %tests = (
 #########################################
 # Create a PG instance to test actually dumping from
 
-my $node = PostgresNode->new('main');
+my $node = Postgres::Test::Cluster->new('main');
 $node->init;
 $node->start;
 
diff --git a/src/bin/pg_dump/t/003_pg_dump_with_server.pl b/src/bin/pg_dump/t/003_pg_dump_with_server.pl
index ba994aee82..d025071fe3 100644
--- a/src/bin/pg_dump/t/003_pg_dump_with_server.pl
+++ b/src/bin/pg_dump/t/003_pg_dump_with_server.pl
@@ -4,14 +4,14 @@
 use strict;
 use warnings;
 
-use PostgresNode;
-use TestLib;
+use Postgres::Test::Cluster;
+use Postgres::Test::Utils;
 use Test::More tests => 3;
 
-my $tempdir       = TestLib::tempdir;
-my $tempdir_short = TestLib::tempdir_short;
+my $tempdir       = Postgres::Test::Utils::tempdir;
+my $tempdir_short = Postgres::Test::Utils::tempdir_short;
 
-my $node = PostgresNode->new('main');
+my $node = Postgres::Test::Cluster->new('main');
 my $port = $node->port;
 
 $node->init;
